summaryrefslogtreecommitdiffstats
path: root/desktop/redshift/redshift.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/redshift/redshift.SlackBuild')
-rw-r--r--desktop/redshift/redshift.SlackBuild19
1 files changed, 16 insertions, 3 deletions
diff --git a/desktop/redshift/redshift.SlackBuild b/desktop/redshift/redshift.SlackBuild
index 4c26391061..4cbc6067b1 100644
--- a/desktop/redshift/redshift.SlackBuild
+++ b/desktop/redshift/redshift.SlackBuild
@@ -1,14 +1,17 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for redshift
# Written by David Matthew Jerry Koenig <koenigdavidmj@gmail.com>
# Maintained by Gregory Tourte <artourter@gmail.com> since 2017
# Public domain, written 2010.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=redshift
VERSION=${VERSION:-1.12}
BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -18,7 +21,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -67,6 +77,9 @@ if ! $(command -v python3 &>/dev/null); then
autopoint -f && AUTOPOINT="intltoolize --automake --copy" autoreconf -vif
fi
+# Disable AppIndicator support if desired (uncomment next line)
+# cat $CWD/disable-appindicator.patch | patch -p1 || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -98,4 +111,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE